mbed TLS v2.14.1

Data Fields
mbedtls_asn1_buf Struct Reference

`#include <asn1.h>`

## Data Fields
int | tag
size_t | len
unsigned char * | p

## Detailed Description

Type-length-value structure that allows for ASN1 using DER.

Definition at line 134 of file asn1.h.

## Field Documentation

## ◆ len

size_t mbedtls_asn1_buf::len

ASN1 length, in octets.

Definition at line 137 of file asn1.h.

## ◆ p

unsigned char* mbedtls_asn1_buf::p

ASN1 data, e.g. in ASCII.

Definition at line 138 of file asn1.h.

## ◆ tag

int mbedtls_asn1_buf::tag

ASN1 type, e.g. MBEDTLS_ASN1_UTF8_STRING.

Definition at line 136 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h